Fetch Access Token
curl --request POST \
--url https://api.zbdpay.com/v1/oauth2/token \
--header 'Content-Type: application/json' \
--data '
{
"client_id": "<string>",
"client_secret": "<string>",
"grant_type": "<string>",
"redirect_uri": "<string>",
"code": "<string>",
"code_verifier": "<string>"
}
'import requests
url = "https://api.zbdpay.com/v1/oauth2/token"
payload = {
"client_id": "<string>",
"client_secret": "<string>",
"grant_type": "<string>",
"redirect_uri": "<string>",
"code": "<string>",
"code_verifier": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
client_id: '<string>',
client_secret: '<string>',
grant_type: '<string>',
redirect_uri: '<string>',
code: '<string>',
code_verifier: '<string>'
})
};
fetch('https://api.zbdpay.com/v1/oauth2/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Reference
Fetch Access Token
Fetch the user’s access token from ZBD Login.
POST
/
v1
/
oauth2
/
token
Fetch Access Token
Description
After accessing the ZBD login portal URL and successfully authenticating, the user will be redirected back to your application withstate and code query parameters included. These two properties allow you to hit the token endpoint, and get the user’s access token.
Once you have the code returned from the previous authorization endpoint, you must now make a POST request to get the token from this endpoint.
- Read here for more details on how to setup ZBD Login (OAuth2) with your platform.
Configuration
Header Parameters
string
Content Type
Body
string
required
string
required
string
required
string
required
string
required
string
required
Was this page helpful?
⌘I